{% import 'AppBundle:Macros:macros.html.twig' as this %}

    <div id="events" class="sub-panel" style="width: 100%; min-height: 100%;">
        {% if is_granted('ADD_EVENT', app.user) %}
            <a href="#" actionUrl="{{ path('event_add', { 'member_id':app.user.id }) }}"
               class="modal-form pull-right btn btn-primary"><i class="fa fa-plus"></i>&nbsp;&nbsp;Ajouter</a>
        {% endif %}
        <h2 class="pinkColor"><i class="glyphicon glyphicon-calendar"></i> Les événements</h2>
        <div id="eventsList" class="row">
            {% for event in events %}
                {% if is_granted('VIEW_EVENT', event) and event.date %}
                    <div class="col-xs-12" style="border-bottom: 1px solid #d4d4d4;"></div>
                    <div class="col-xs-11">
                        <div id="events" class="citizenPanelClick"  data-link="{{ url('event_view', {id: event.id}) }}">

                        {% if event.poll and not event.date %}
                            <span class="primary">
                            <i class="fa fa-question-circle"></i>
                        {% elseif event.past %}
                            <span class="greenColor">
                            <i class="fa fa-check-square-o"></i>
                        {% else %}
                            <span class="pinkColor">
                            <i class="fa fa-square-o"></i>
                        {% endif %}
                        {% if event.date %}
                            {{ event.date|date('d/m/Y') }}
                        {% endif %}
                        {% if is_granted('VIEW_EVENT', event) %}
                            {{ event.hour }}
                        {% endif %}
                            </span>
                            {% if is_granted('VIEW_EVENT', event) %}
                                <span class="primary">
                                        <i class="fa fa-map-marker"></i> {{ event.place }}
                                </span>
                            {% endif %}

                            <p class="description pinkColor">
                                <a href="{{ url('event_view', {id: event.id}) }}">{{ event.title }}</a>
                            </p>
                        </div>
                    </div>
                    <div class="col-xs-1"><a class="pinkColor" href="{{ url('event_view', {id: event.id}) }}"><i class="fa fa-arrow-circle-right"></i></a> </div>
                {% endif %}

            {% else %}
                    <div class="col-sm-12">
                        Aucun événement prévu...
                    </div>
            {% endfor %}
        </div>
    </div>

